* {
  box-sizing: border-box;
}
body {
  line-height: 1.5;
  color: #222;
  font-family: sans-serif;
  font-size: 20px;
  background-color: rgba(7,28,112,1);
  background: linear-gradient(to bottom, rgba(29,98,190,1), rgba(7,28,112,1));
  margin: 0;
  padding: 30px 0;
}

body > div.pageContainer {
  width: 1080px;
  max-width: 100%;
  padding: 1em;
  margin: 0 auto;
  background: white;
  min-height: 90vh;
}

h1,h2,h3,h4,h5,h6 {
  margin:0; 
  padding:5px 0; 
}

h1 {
  font-size: 1.5em;
  color: #071c70;
  margin-bottom: 15px;
}

a {
  color: rgba(29,98,190,1);
  text-decoration: underline;
}

a:hover {
  color: darkred;
}

nav a {
  text-decoration: none;
  color: #071c70;
}

nav a:hover {
  text-decoration: underline;
}


.pageContainer > header .biglogo {
  border-top: #222 solid 1px;
  border-bottom: #222 solid 4px;
  margin-bottom: 1.5em; 
}

main {
  min-height: 50vh;
}

article:not(:last-child) {
  padding-bottom: 1.5em;
  margin-bottom: 1.5em;
  border-bottom: 1px solid #222;
}

article h1 {
  padding: 0;
  margin: 0;
  font-size: 1.25em;
  color: #222;
}

article h2 {
  padding: 0;
  margin: 0;
  font-size: 1.125em;
}

article header div {
  color: #666;
  font-size: .8em;
  margin: 0;
  padding: 0;
}


img {
  width: 100%;
  max-width: 100%;
  height: auto;
  margin: 0 auto;
  border: none;
}
img.icon {
  width: 15px;
  height: 15px;
  margin: 0;
}

footer {
  margin-top: 1.5em;
  padding-top: 1.5em;
  border-top: 1px solid #222; 
}

footer aside {
  margin-bottom: 1.5em;
  padding-bottom: 1.5em;
  border-bottom: 1px solid #222;
}

.headertxt {
  padding-top: 10px;
  margin-bottom: 15px;
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
  line-height: 40px;
}

.headertxt .topleft a {
  font-size: 28px;
  font-weight: bold;
  text-decoration: none;
  color: #071c70;
}

.headertxt .topright {
  font-style: italic;
  text-align: right;
  font-size: 16px;
  line-height: 40px;
  color: #666;
}

div.mainBody nav {
  border-right: 1px solid #222;
} 
div.mainBody nav h1, div.mainBody nav h2, div.mainBody nav h3 {
  font-size: 1em;
} 

div.mainBody nav ul {
  list-style: none;
    margin: 0;
    padding-left: 0;
    padding-bottom: 0.5em;
}

.toggleButton {
  background-color: rgba(29,98,190,1);
  color: white;
  border: #071c70;
  width: 100%;
  padding: .5em;
  margin: .5em auto;
  display: block;
  
}

.toggleButton.open::before {
  display: inline-block;
  content: "Close";
  padding-right: .35em;
}
.toggleButton.close::before {
  display: inline-block;
  content: "Open";
  padding-right: .35em;
}

.event {
  display: block;
  margin: 1em 0;
}
.event .date {
  font-weight: bold;
}

@media screen and (max-width: 552px) {
  body {
    padding: 5px 0;
  }
  .pageContainer > header {
    display: grid;
    grid-gap: .5em;
    text-align: center;
  }
  .pageContainer > header .logoIcon {
    grid-column: 1 / 3;
    grid-row: 1 / 4;
  }
  .logoIcon img {
    width: 50px;
    height: 50px;
  }
  .pageContainer > header .headertxt {
    grid-column: 1 / 3;
    grid-row: 4 / 5;
    line-height: normal;
  }
 
  .headertxt .topright {
    line-height: 1.5;
    text-align: center;
  }
 
  .pageContainer > header .biglogo {
    display: none;
  }

  #sideNav {
    display: none;
  }
}

@media screen and (min-width: 553px) and (max-width: 650px) {
 .pageContainer > header {
   display: grid;
   grid-gap: .5em;
 }
 .pageContainer > header .logoIcon {
   grid-column: 1 / 2;
 }
 .pageContainer > header .headertxt {
   grid-column: 2 / 3;
   line-height: normal;
 }

 .headertxt .topright {
   text-align: left;
   line-height: 1.5;
 }

 .pageContainer > header .biglogo, #sideNav {
   display: none;
 }

}

@media screen and (min-width: 651px) {
  .pageContainer > header .logoIcon, .toggleButton {
    display: none;
  }
  #sideNav {
    display: block;
  }
  div.mainBody {
    display: grid;
    gap: 1em;
    grid-template-columns: 250px 1fr;
  }
}